Bug 324596 - Date Picking to create an event list is restricted to a one month period
Summary: Date Picking to create an event list is restricted to a one month period
Status: REPORTED
Alias: None
Product: korganizer
Classification: Applications
Component: otherviews (show other bugs)
Version: 5.3.1
Platform: Archlinux Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 18:06 UTC by piedro
Modified: 2021-09-03 07:30 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description piedro 2013-09-06 18:06:19 UTC
When creating an event list the only way to change the start and end time of the list is to use the date navigator and select multiple days. But that's restricted to a one month period at most. 

the idea with an event list is to create a record of events from date A to date B. As it does in the search or print functionality. For some reason the event list is just a different one week events view with a little manoeverability to adapt the start/end dates ... 

So why not simply pick the start date with the date navigator and pick the end date with the date navigator independently. 

The funcionality of the list is there it's just the picking that doesn't work as expected! 

thx for reading, 
piedro

Reproducible: Always

Actual Results:  
can pick a restricted date range drag&click with the date navigator

Expected Results:  
should be possible to simply pick the start date and the end date independently for a date range of your choosing ...
Comment 1 Sergio Martins 2013-09-07 12:01:06 UTC
Do you have any suggestions about how the GUI would be, to achieve this feature ?
Comment 2 piedro 2013-09-08 23:55:46 UTC
What about this: 

left clicking a date in the date navigator  stays as is ...
right clicking a date in the date picker selects the date and opens a context menu at the mouse postion presenting at least two the last two options: 

- list [DATE] events
- list week [WEEKNUMBER] events 
- list [MONTH] events 
- list [YEAR] events 
- pick as start date 
- pick as end date 

For example when right clicking on the 4th of Juli 2013 the context menu shows: 

- list events for the 14. Juli 2013  
- list events for week 27 of 2013 
- list events for July of 2013  
- list events for 2013 
- pick as the start date of the list - (... or: list events from 04.07.2013)
- pick as the final date of the list - (... or: list events up to 04.07.2013) 

Sorry for wrong grammar or wording. I think this would be the more simple solution. the other one would be to make the dates in the heading of the event list on the right side editable. Either by simply entering the date or by picking it from the date navigator while the cursor is set to either the "from"-date  or "up to"-date field in the header row. 

the second solution would be very consistent with kmymoney for example but it's much more work I guess. A context menu is very intuitive and probably more easy to construct. 

What do you think? 
piedro
Comment 3 piedro 2013-09-09 00:11:01 UTC
Sorry I forgot: the three entries that are in the context menu already can stay on top. 

Thursday 4. July 2013
- new event 
- new task 
- new journal 
-------------------- 
- list events for this day   
- list events for this week  
- list events for this month  
- list events for this year 
- list events from this day  
- list events up to this day 

Though one more benefit of the date field solution I suggested as second possibility in my above post is that this could easily be extended as a later improvement to even more exact customization by adding a time field as well ... 

Summary [{START DATE FIELD} {OPTIONAL START TIME FIELD} to {END DATE FIELD} {END TIME FIELD} | ... 

looking like  

Summary ["04.07.2013","09:35" to "04.07.2013","19:15"] |... 

p.
Comment 4 piedro 2013-09-09 00:14:49 UTC
a last remark: 

if a start date is chosen but not yet an end date the default for the end date would be the actual date(/time) 

if an end date is chosen but not yet a start date is fixed the default start date would be the actual  
date(/time) at the moment 

thx for reading, p.
Comment 5 piedro 2015-10-14 09:40:46 UTC
It's been 2 years now, you ask me for suggestions, I delivered. 

I feel like I deserve at least an answer to my suggestions. 

The date picker clearly is not designed from a typical user perspective but more from a technical standpoint. This should be cleaned up. 

Thx, p.
Comment 6 Denis Kurz 2016-09-21 09:39:50 UTC
Not implemented in 5.3.1.
Comment 7 piedro 2016-10-24 17:47:54 UTC
That is said to hear...

p.
Comment 8 piedro 2017-08-23 18:14:06 UTC
BTW: That's why I will not bother with bug reporting again. 
Bug reporting seems not to be working at all at a social level. 
Since we can't change the social skills of developers, well... 


P.
Comment 9 Denis Kurz 2017-08-23 19:42:05 UTC
Well, personal attacks don't make it any more likely to get a bug fixed, that's for sure. If you know how a handful of developers can spend the time on Kontact development with its hundreds of thousands of lines of code and thousands of bugs more efficiently, or how we might be able to finally recruit new developers willing to spend their free time on Kontact, or if you're willing to pay a developer to fix bugs, please let us know. Of course, you're still very welcome to contribute patches yourself (you might already have the social skills needed to be a developer after all) or to start reporting bugs again, but less welcome to make it even less attractive to be a KDE developer by complaining about them.

Regards
Comment 10 Sergio Martins 2017-08-23 19:51:24 UTC
I don't think anyone is actively working on KOrganizer features, perhaps we need a way to inform the users of what to expect when filling suggestions
Comment 11 Metal450 2020-06-12 22:16:30 UTC
I came here looking for something similar: trying to move from Windows to Linux, & replace Outlook's calendar, which I use an EventList, showing all events in "detail view."  In KOrganizer, however, it only shows items in the very limited current 30-day period, which IMHO makes it not really any benefit over the standard Month view.  it seems like an event list should list all of the events, uness you explicitly want to filter it to just 30 days.  At least, that's how it works in Outlook, eM Client, Thunderbird/lightning, & other list-based calendars I've used.
Comment 12 gjditchfield 2021-08-30 16:43:10 UTC
Note that the Edit > Find... dialog displays exactly the same information as the Event List, and lets you choose any date span you like.
Comment 13 piedro 2021-09-03 07:30:32 UTC
True. 

And if the search functionality would be able to save the search settings or even make it possible to create virtual search folders (like in kmail) this would be a fantastic and versatile way to organize dates, events and journal entries on a granular level. 

As it is now you have to configure the search every time you want to look at your search list... - for example, if you want to check all the telephone conference calls with a customer during the whole year, you'd have to manually set up all the dates, filters and conditions of the search every time you want to check these... 

I like the search function but it is very situational and offers no possibility to keep the generated list - you can't

- save it 
- print it 
- export it 

So it is not a useful tool for day to day work but more a tool to search very specifically for a certain entry... 

But thanks for bringing it up! 


Cheers, 
pk